Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn
                  org.richfaces.component.AbstractColumn

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.Column

Direct Known Subclasses:
  UIColumn

    public abstract class AbstractColumn

extends javax.faces.component.UIColumn
implements org.richfaces.component.Column

The <rich:column> component facilitates columns in a table. It supports merging columns and rows, sorting, filtering, and customized skinning.

Author:
  Anton Belevich

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractColumn()`

Method Summary
`abstract int` | `getColspan()` Corresponds to the HTML colspan attribute
`abstract Comparator<?>` | `getComparator()` Defines value binding to the comparator that is used to compare the values
`abstract org.richfaces.model.Filter<?>` | `getFilter()` Provides Filter instance which determines if given row value will be displayed.
`abstract String` | `getFilterConverterMessage()` The message to be displayed when the filter expression is not able to be evaluated using the provided filter value.
`abstract Object` | `getFilterExpression()` Defines EL expression which returns true if given row should be displayed (EL expressions should use variable defined in filterVar attribute of dataTable)
`org.richfaces.model.FilterField` | `getFilterField()`
`abstract String` | `getFilterType()` Defines current filter type.
`abstract Object` | `getFilterValue()` Defines current filtering value
`abstract String` | `getFooterClass()` Assigns one or more space-separated CSS class names to any footer generated for this component
`abstract String` | `getHeaderClass()` Assigns one or more space-separated CSS class names to any header generated for this component
`abstract int` | `getRowspan()` Corresponds to the HTML rowspan attribute
`abstract Object` | `getSortBy()` Defines a bean property which is used for sorting of a column.
`org.richfaces.model.SortField` | `getSortField()`
`abstract org.richfaces.component.SortOrder` | `getSortOrder()` Defines order which will be used for sorting column: unsorted (default), ascending, descending
`abstract String` | `getSortType()` Defines current filtering value.
`abstract String` | `getStyle()` CSS style rules to be applied to the component
`abstract String` | `getStyleClass()` Assigns one or more CSS class names to the component.
`abstract String` | `getSubmittedFilterValue()` The submitted filter value.
`abstract String` | `getWidth()` Attribute defines width of column.
`abstract boolean` | `isBreakRowBefore()` if "true" next column begins from the first row
`static boolean` | `isBuiltInFilterControlsEnabled()`
`static boolean` | `isBuiltInSortControlsEnabled()`
`boolean` | `useBuiltInFilter()`
`boolean` | `useBuiltInSort()`

Methods inherited from class javax.faces.component.UIColumn
`getFamily, getFooter, getHeader, setFooter, setHeader`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractColumn

    public AbstractColumn()

Method Detail

### isBreakRowBefore

    public abstract boolean isBreakRowBefore()

  if "true" next column begins from the first row

### getSortOrder

    public abstract org.richfaces.component.SortOrder getSortOrder()

  Defines order which will be used for sorting column: unsorted (default), ascending, descending

### getFilter

    public abstract org.richfaces.model.Filter<?> getFilter()

  Provides Filter instance which determines if given row value will be displayed.

### getFilterValue

    public abstract Object getFilterValue()

  Defines current filtering value

### getFilterType

    public abstract String getFilterType()

  Defines current filter type. Possible values: string, custom. If custom is used, no filter box is created, you are responsible for e creating your own filter input Default: string

### getFilterConverterMessage

    public abstract String getFilterConverterMessage()

  The message to be displayed when the filter expression is not able to be evaluated using the provided filter value.

### getSubmittedFilterValue

    public abstract String getSubmittedFilterValue()

  The submitted filter value. Set when the evaluation of the filter expression fails.

### getSortType

    public abstract String getSortType()

  Defines current filtering value. Possible values: string, custom. If custom is used, no filter box is created, you are responsible for e creating your own filter input Default: string

### getRowspan

    public abstract int getRowspan()

  Corresponds to the HTML rowspan attribute

### getColspan

    public abstract int getColspan()

  Corresponds to the HTML colspan attribute

### getComparator

    public abstract Comparator<?> getComparator()

  Defines value binding to the comparator that is used to compare the values

### getFilterExpression

    public abstract Object getFilterExpression()

  Defines EL expression which returns true if given row should be displayed (EL expressions should use variable defined in filterVar attribute of dataTable)

### getSortBy

    public abstract Object getSortBy()

  Defines a bean property which is used for sorting of a column.

### getFooterClass

    public abstract String getFooterClass()

  Assigns one or more space-separated CSS class names to any footer generated for this component

### getHeaderClass

    public abstract String getHeaderClass()

  Assigns one or more space-separated CSS class names to any header generated for this component

### getWidth

    public abstract String getWidth()

  Attribute defines width of column.

### getStyle

    public abstract String getStyle()

  CSS style rules to be applied to the component

### getStyleClass

    public abstract String getStyleClass()

  Assigns one or more CSS class names to the component. Corresponds to the HTML "class" attribute.

### getFilterField

    public org.richfaces.model.FilterField getFilterField()

### getSortField

    public org.richfaces.model.SortField getSortField()

### useBuiltInFilter

    public boolean useBuiltInFilter()

### useBuiltInSort

    public boolean useBuiltInSort()

### isBuiltInSortControlsEnabled

    public static boolean isBuiltInSortControlsEnabled()

### isBuiltInFilterControlsEnabled

    public static boolean isBuiltInFilterControlsEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.